Subject: Re: [PATCH 0/2] handling alternates paths with colons

From: Junio C Hamano <[email-masked]>
Date: Mon, 12 Dec 2016 14:37:08 -0800

Jeff King <[email-masked]> writes:

> So here are patches that do that. It kicks in only when the first
> character of a path is a double-quote, and then expects the usual
> C-style quoting.

The quote being per delimited component is what makes this fifth
approach a huge win.  

All sane components on a list-valued environment are still honored
and an insane component that has either a colon in the middle or
begins with a double-quote gets quoted.  As long as nobody used a
path that begins with a double-quote as an element in such a
list-valued environment (and they cannot be, as using a non-absolute
path as an element does not make much sense), this will be safe, and
a path with a colon didn't work with Git unaware of the new quoting
rule anyway.  Nice.